{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "source": {
          "properties": {
            "persistentVolumeClaimName": {
              "type": "string"
            },
            "volumeSnapshotContentName": {
              "type": "string"
            }
          },
          "type": "object"
        },
        "volumeSnapshotClassName": {
          "type": "string"
        }
      },
      "required": [
        "source"
      ],
      "type": "object"
    },
    "status": {
      "properties": {
        "boundVolumeSnapshotContentName": {
          "type": "string"
        },
        "creationTime": {
          "format": "date-time",
          "type": "string"
        },
        "error": {
          "properties": {
            "message": {
              "type": "string"
            },
            "time": {
              "format": "date-time",
              "type": "string"
            }
          },
          "type": "object"
        },
        "readyToUse": {
          "type": "boolean"
        },
        "restoreSize": {
          "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$",
          "type": "string",
          "x-kubernetes-int-or-string": true
        }
      },
      "type": "object"
    }
  },
  "required": [
    "spec"
  ],
  "type": "object"
}
